Subject: bug#40230: 26.3; Add (remove|delete)-if(-not) to plain Emacs

From: Drew Adams <[email-masked]>
Date: Wed, 25 Mar 2020 13:49:24 -0700 (PDT)

Enhancement request: Please add simple, list-only `delete-if',
`delete-if-not', `remove-if', and `remove-if-not' functions to Emacs.

Simple list-only versions are fine.  It seems silly to load cl-seq.el,
which in turn requires cl-lib.el, just for such mundane, simple
workhorses.  In my libraries I redefine one or more of these (for
lists only) for individual libraries, to avoid users having to load
another library just for such a function.

This has been requested several times before, I believe.

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.18362
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''